using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Логика взаимодействия для pgHotels.xaml
    /// </summary>
    public partial class pgHotels : Page
    {
        List<Hotel> hotels;
        public pgHotels()
        {
            InitializeComponent();
            BaseConnect.BaseModel = new ToursEntities();
            hotels = BaseConnect.BaseModel.Hotel.ToList();
            dgHotels.ItemsSource = hotels;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Button btn = (Button)sender;
            int id = Convert.ToInt32(btn.Uid);
            LoadPages.frmMain.Navigate(new pgUpdateHotel(id));
        }

        private void btnDelHotel_Click(object sender, RoutedEventArgs e)
        {
            foreach(Hotel hotel in dgHotels.SelectedItems)
            {
                BaseConnect.BaseModel.Hotel.Remove(hotel);
                BaseConnect.BaseModel.SaveChanges();
            }
            BaseConnect.BaseModel = new ToursEntities();
            hotels = BaseConnect.BaseModel.Hotel.ToList();
            dgHotels.ItemsSource = hotels;
        }

        private void btnAddHotel_Click(object sender, RoutedEventArgs e)
        {
            LoadPages.frmMain.Navigate(new pgAddHotel());
        }
    }
}
